Subject: Re: cygwin telnetd/xinetd and non-cygwin Python: no interaction
From: "W. Borgert" <[email-masked]>
To: Igor Pechtchanski <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Jul 2004 18:40:55 +0200

Quoting Igor Pechtchanski <[email-masked]>:
> On Mon, 12 Jul 2004, W. Borgert wrote:
> > I managed to telnet into my XP box using cygwin xinetd, but if I run
> > Python (not the cygwin variant, but the stock www.python.org
> > installer) I get no interaction at all.  Running the same Python
> > variant in the cygwin bash without telnet session, there is no
> > problem.  Is this a known limitation?  Did I do something wrong?  Do
> > I have to tweak the CYGWIN variable?  Many thanks in advance!
>
> A WAG: some Windows programs may require interaction with desktop, even
> for non-graphical tasks.  Check out the "-i" flag to cygrunsrv, or the
> "Allow service to interact with desktop" checkbox in the Windows service
> properties dialog.

Interesting guess, but I did not manage to run xinetd as a service.
Is there a way to run xinetd with "desktop interaction", but not as
a service?  As I started xinetd manually I thought that interaction
with the desktop would be allowed and possible.  Thanks for any hint!

Cheers, WB

P.S. My attempt to run xinetd as a service:

$ cygrunsrv -I xinetd -i -p /usr/sbin/xinetd.exe
$ cygrunsrv -S xinetd
$ cygrunsrv -Q xinetd
Service xinetd exists
Type                : Undefined type
Current State       : Stopped
Controls Accepted   :
$ 

If I start the service from the GUI it looks like it is started, but
some seconds later it is stopped again.  I would prefer to run xinetd
"manually" for now anyway.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/